Name:           mirall
Version:        1.0.5
Release:        5%{?dist}
License:        GPLv2+
Summary:        The ownCloud Client
Url:            http://www.gitorious.org/owncloud/mirall/
Source0:        http://download.owncloud.com/download/mirall-%{version}.tar.bz2
Source1:        owncloud-client.desktop
Source2:        mirall.desktop

BuildRequires:  cmake
BuildRequires:  owncloud-csync-devel
BuildRequires:  iniparser-devel
BuildRequires:  qt4-devel 
BuildRequires:  desktop-file-utils
Requires:       owncloud-csync-plugin-owncloud >= 0.50.8
Requires:       %{name}-common%{?_isa} = %{version}-%{release}

%description
Mirall owncloud-client enables you to connect to your private
ownCloud Server. With it you can create folders in your home
directory, and keep the contents of those folders synced with your
ownCloud server. Simply copy a file into the directory and the 
ownCloud Client does the rest.

%package common
Summary: common files for mirall and owncloud-client

%description common
provides common files for mirall and owncloud-client
such as the configurationfile that determines the excluded files
in a sync.

%package -n owncloud-client
Summary: owncloud Standalone client
Requires: %{name}-common%{?_isa} = %{version}-%{release}
Requires: owncloud-csync-plugin-owncloud >= 0.50.8

%description -n owncloud-client
The ownCloud desktop client, lets you sync directly to your ownCloud server.

%prep
%setup -q %{name}-%{version}

%build
mkdir build
pushd build
%cmake .. -DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" -DCSYNC_LIBRARY:PATH=%{_libdir}/liboccsync.so -DCSYNC_INCLUDE_PATH:PATH=%{_includedir}/occsync
make %{?_smp_mflags}
popd

%install
pushd build
make install DESTDIR=%{buildroot}
popd

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE1} 

desktop-file-install                                    \
--dir=${RPM_BUILD_ROOT}%{_datadir}/applications         \
%{SOURCE2}

%post 
/sbin/ldconfig 
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans
gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%postun 
/sbin/ldconfig 
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
fi

%post -n owncloud-client
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%posttrans -n owncloud-client
gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :

%postun -n owncloud-client
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    gtk-update-icon-cache -f %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files
%{_bindir}/mirall
%{_libdir}/libmirallsync.so
%{_datadir}/applications/mirall.desktop
%{_datadir}/icons/hicolor/48x48/apps/mirall.png

%files common
%doc README.md COPYING
%{_datadir}/mirall
%config %{_sysconfdir}/exclude.lst

%files -n owncloud-client
%{_bindir}/owncloud
%{_libdir}/libowncloudsync.so
%{_datadir}/applications/owncloud-client.desktop
%{_datadir}/icons/hicolor/48x48/apps/owncloud.png

%changelog
* Mon Sep 03 2012 <jmarrero@fedoraproject.org> 1.0.5-5
- Added owncloud-csync-plugin-owncloud dep to owncloud-client pkg
* Mon Aug 20 2012 <jmarrero@fedoraproject.org> 1.0.5-4
- removed unesesary cmake flags
* Sat Aug 17 2012 <jmarrero@fedoraproject.org> 1.0.5-3
- added icon scriplets for owncloud-client icons
- moved %%doc to mirall-common
- Added cmake  dcSYNC_INCLUDE_PATH:PATH=%{_includedir}/occsync and dc SYNC_LIBRARY:PATH=%{_libdir}/liboccsync.so to have mirall look for occsync instead of csync
- Removed uneeded dep
- Changelog corrections and clean up
* Fri Aug 16 2012 <jmarrero@fedoraproject.org> 1.0.5-2
- Divided mirall into mirall-common, mirall and owncloud-client
- Added dcMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed
- moved exclude.lst back to /etc/, the apps look for it there
- fixed icons descriptions
- added refresh icon cache
- updated csync dep to owncloud-csync
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.5-1
- Update to 1.0.5
- drop defattr
- remove not-needed dependencies
- changelog cleanup
- moved exclude.lst to /etc/mirall/
- fixed source01 and source 02 (icons) 
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-2
- added mirall icon and smp flags plus code cleanup
* Sat Aug 11 2012 <jmarrero@fedoraproject.org> 1.0.4-1
- Initial try
